Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.html.dom
Class NameNodeListImpl

    java.lang.Object
      |
      +--weblogic.apache.xerces.dom.DeepNodeListImpl
            |
            +--weblogic.apache.html.dom.NameNodeListImpl

public class NameNodeListImpl
extends DeepNodeListImpl
implements org.w3c.dom.NodeList

This class implements the DOM's NodeList behavior for HTMLDocuemnt.getElementsByName().

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Since:
  PR-DOM-Level-1-19980818.
Version:
Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `DeepNodeListImpl`

Fields inherited from class weblogic.apache.xerces.dom.DeepNodeListImpl
`changes, enableNS, nodes, nsName, rootNode, tagName`

Constructor Summary
`NameNodeListImpl(NodeImpl rootNode, java.lang.String tagName)` Constructor.

Method Summary
`protected org.w3c.dom.Node` | `nextMatchingElementAfter(org.w3c.dom.Node current)` Iterative tree-walker.

Methods inherited from class weblogic.apache.xerces.dom.DeepNodeListImpl
`getLength, item`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NameNodeListImpl

    public NameNodeListImpl(NodeImpl rootNode,
                            java.lang.String tagName)

  Constructor.

Method Detail

### nextMatchingElementAfter

    protected org.w3c.dom.Node nextMatchingElementAfter(org.w3c.dom.Node current)

  Iterative tree-walker. When you have a Parent link, there's often no need to resort to recursion. NOTE THAT only Element nodes are matched since we're specifically supporting getElementsByTagName().

  Overrides:
    nextMatchingElementAfter in class DeepNodeListImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD